List recent quality jobs for a me
GET
/v1/users/me/recent-quality-jobscurl -X GET 'https://api.embodiflow.io/v1/users/me/recent-quality-jobs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<WorkflowRunSummaryDto>必填
- idstring必填
- tenantIdstring必填
- projectIdstring | null必填
- workflowDefinitionIdstring | null必填
- workflowRevisionIdstring | null必填
- jobTypestring必填
- statusstring必填可选值queuedrunningsucceededfailedcancelledstartingwaiting_approvalpaused
- datasetIdstring | null必填
- datasetVersionIdstring | null必填
- uploadBatchIdstring | null
- workflowDefinitionNamestring | null
- workflowNamestring | null
- failureobject
- activeStepKeystring | null
- failedStepKeystring | null
- inputRefobject | null必填
- specobject | null
- outputRefobject | null必填
- requestedBystring | null必填
- startedAtstring | null必填
- finishedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- resultSummarystring | null
- errorSummarystring | null
- warningSummaryobject
- hasSoftFailuresone of
- stageBreakdownobject
- triggerSourcestring | null
- isDryRunone of
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowDefinitionId": "string",
"workflowRevisionId": "string",
"jobType": "string",
"status": "queued",
"datasetId": "string",
"datasetVersionId": "string",
"uploadBatchId": "string",
"workflowDefinitionName": "string",
"workflowName": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"activeStepKey": "string",
"failedStepKey": "string",
"inputRef": {},
"spec": {},
"outputRef": {},
"requestedBy": "string",
"startedAt": "string",
"finishedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"resultSummary": "string",
"errorSummary": "string",
"warningSummary": {
"softFailureCount": 0,
"softFailures": [
{
"stepKey": "string",
"attempt": 0,
"reason": "string",
"continuedAt": "string"
}
],
"message": "string"
},
"hasSoftFailures": false,
"stageBreakdown": {
"stages": [
{
"stage": "export",
"title": "string",
"enabledStepCount": 0,
"completedStepCount": 0,
"failedStepCount": 0,
"status": "pending",
"startedAt": "string",
"finishedAt": "string",
"failedStepKey": "string",
"nextAction": "string"
}
],
"failedStage": "export"
},
"triggerSource": "string",
"isDryRun": false
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1